***

title: update
slug: /reference/typescript/rest/fabric/ai-agents/update
description: Partially update an AI agent resource.
max-toc-depth: 3
---------------------

For a complete index of all SignalWire documentation pages, fetch https://signalwire.com/docs/llms.txt

Partially update an AI agent resource. Uses PATCH, so only provided fields are changed.

<EndpointSchemaSnippet endpoint="PATCH /api/fabric/resources/ai_agents/{id}" />

## **Response Example**

<EndpointResponseSnippet endpoint="PATCH /api/fabric/resources/ai_agents/{id}" />

## **Example**

```typescript {9}
import { RestClient } from "@signalwire/sdk";

const client = new RestClient({
  project: "your-project-id",
  token: "your-api-token",
  host: "your-space.signalwire.com",
});

const updated = await client.fabric.aiAgents.update("agent-id", { name: "updated-name" });
console.log(`Updated: ${updated.display_name}`);
```